#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	libtasn1
Version		:	4.19.0
Release		:	14.8.0.0%{?dist}
Summary		:	A small ASN.1 library
Group		:	System/Libraries

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPL
URL		:	https://ftp.gnu.org/gnu/libtasn1

Source0		:	%{name}-%{version}.tar.gz
#-----------------------------------------------------------------------------
BuildRequires	:	autoconf
BuildRequires	:	bison
BuildRequires	:	gnupg
BuildRequires	:	gcc
BuildRequires	:	make
BuildRequires	:	valgrind-devel
#-----------------------------------------------------------------------------
%description
'%{name}' is a highly portable C library that encodes
and decodes DER/BER data following an ASN.1 schema.

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%doc AUTHORS NEWS README.md
%license COPYING
%{_bindir}/asn1*
%{_libdir}/%{name}*.so.6*
%{_mandir}/man1/*.1.gz

#==============================================================================
%package		devel
Summary		:	Files for development of applications which will use libtasn1

#-----------------------------------------------------------------------------
Requires	:	%{name}		= %{version}-%{release}

#-----------------------------------------------------------------------------
%description		devel
This package contains files for development of applications which will
use libtasn1.

#-----------------------------------------------------------------------------
%files			devel
%{_includedir}/%{name}.h
%{_libdir}/pkgconfig/%{name}.pc
%{_libdir}/%{name}*.so
%{_datadir}/info/%{name}.info.gz
%{_mandir}/man3/*.3.gz

#==============================================================================
%prep
%setup -q

#-----------------------------------------------------------------------------
#building application
%build

./configure						\
        --prefix=%{_prefix}				\
        --includedir=%{_includedir}			\
	--exec-prefix=%{_exec_prefix}			\
	--libexecdir=%{_libexecdir}/%{name}		\
        --sysconfdir=%{_sysconfdir}/%{name}		\
        --sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--infodir=%{_infodir}				\
	--docdir=%{_defaultdocdir}/%{name}-%{version}	\
	--enable-shared					\
	--disable-static				\


# libtasn1 likes to regenerate docs
touch doc/stamp_docs

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{_smp_mflags}

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make}						\
	DESTDIR=%{buildroot}				\
	install

#To remove empty info directory
%{__rm} -fr %{buildroot}%{_infodir}/dir
	
#To remove libtool library
find 							\
	%{buildroot}%{_libdir}				\
	-name \*.la					\
	-delete

#-----------------------------------------------------------------------------
%changelog
